package ru.yandex.direct.api.v5.security.exception;

import ru.yandex.direct.core.TranslatableException;
import ru.yandex.direct.i18n.Translatable;

public abstract class AuthenticationException extends TranslatableException {

    public AuthenticationException(String internalMessage, Throwable cause, int code,
                                   Translatable shortMessage, Translatable detailedMessage) {
        super(internalMessage, cause, code, shortMessage, detailedMessage);
    }

    public AuthenticationException(String internalMessage, int code,
                                   Translatable shortMessage, Translatable detailedMessage) {
        super(internalMessage, code, shortMessage, detailedMessage);
    }
}
